# Generated by Django 2.0.5 on 2018-12-29 20:53

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PhotoGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Separator',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('css', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='SeparatorSVG',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('svg_file', models.FileField(upload_to='unsplash_django/svg_separators')),
            ],
        ),
        migrations.CreateModel(
            name='Slide',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ken_burns_effect', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Slideshow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30, unique=True)),
                ('id_attr', models.CharField(max_length=30, null=True)),
                ('animation', models.CharField(choices=[['slide', 'Slide'], ['fade', 'Fade'], ['scale', 'Scale'], ['pull', 'Pull'], ['push', 'Push']], default='slide', max_length=30)),
                ('autoplay', models.BooleanField(default=False)),
                ('autoplay_interval', models.PositiveIntegerField(blank=True, help_text='Interval in milliseconds between switching slides', null=True, validators=[django.core.validators.MinValueValidator(1000)])),
                ('finite', models.BooleanField(default=False)),
                ('min_height', models.IntegerField(default=0)),
                ('max_height', models.IntegerField()),
                ('bot_separator', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bot_separator', to='unsplash.Separator')),
            ],
        ),
        migrations.CreateModel(
            name='SlideshowSlide',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.IntegerField()),
                ('slide', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='unsplash.Slide')),
                ('slideshow', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='unsplash.Slideshow')),
            ],
            options={
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='UnsplashPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('photo_id', models.CharField(max_length=11)),
                ('photo_size', models.CharField(choices=[('full', 'Full'), ('regular', 'Regular'), ('small', 'Small'), ('thumb', 'Thumb')], default='regular', max_length=7)),
                ('photo_alias', models.CharField(max_length=30)),
                ('photo_url', models.URLField(editable=False)),
                ('downloaded', models.BooleanField(default=False)),
            ],
        ),
        migrations.AddField(
            model_name='slideshow',
            name='slides',
            field=models.ManyToManyField(through='unsplash.SlideshowSlide', to='unsplash.Slide'),
        ),
        migrations.AddField(
            model_name='slideshow',
            name='top_separator',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='top_separator', to='unsplash.Separator'),
        ),
        migrations.AddField(
            model_name='slide',
            name='photos',
            field=models.ManyToManyField(to='unsplash.UnsplashPhoto'),
        ),
        migrations.AddField(
            model_name='separator',
            name='svg_file',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='unsplash.SeparatorSVG'),
        ),
        migrations.AddField(
            model_name='photogroup',
            name='photos',
            field=models.ManyToManyField(to='unsplash.UnsplashPhoto'),
        ),
    ]
